* {
    box-sizing: border-box;
    margin: 0;
}

/* Font */
@font-face {
    font-family: "DigitalFont";
    src: url("./font/static/dseg7-classic-latin-300-italic.woff2");
    font-weight: 300;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: "DigitalFont";
    src: url("./font/static/dseg7-classic-latin-300-normal.woff2");
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "DigitalFont";
    src: url("./font/static/dseg7-classic-latin-400-italic.woff2");
    font-weight: 400;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: "DigitalFont";
    src: url("./font/static/dseg7-classic-latin-400-normal.woff2");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}



/* Container */

/* body */


body {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #F3F4F6 ;
    height: 100vh;
    margin: 2%;
}

/* Main */
main {
    width: 360px;
    height: 600px;
    background-color: #1F2937;
    padding: 32px 24px;
    border-radius: 52px;
    border: solid 4px #9CA3AF;
    box-shadow: 0 24px 32px 16px #4B556329;

    display: flex;
    flex-direction: column;
    gap: 24px;
}

.app-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* Conversion Results Container */
#conversion-header {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

/* Header Container*/
#header-container {
    display: flex;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: "Inter", sans-serif;
    background-color: #374151;
    padding: 8px 16px 8px 8px;
    border-radius: 999px;
    width: 100%;
}

#my-profile {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 14px;
    color: #F3F4F6;
}

#app-title {
    font-size: 12px;
    color: #9CA3AF;    
}

/* App Divider */

#divider {
    width: 100%;
    height: 1px;
    background-color: #374151;
}

/* Conversion Section */

#conversion-items {
    display: flex;
    flex-direction: column;
    background-color: #78350F;
    padding: 12px;
    border-radius: 16px;
    border: 2px solid #B45309 ;
    gap: 12px;
    color: #F3F4F6;
    width: 100%;
    overflow: hidden;
}

.result-container {
    width: 100%;
    display: flex;
    padding: 12px;
    justify-content: space-between;
    overflow: hidden;
}


#top-result {
    background-color: #B45309;
    border-radius: 8px;
}

.result {
    display: flex;
    gap: 4px;
    align-items: end;
}

.output-num {
    font-family: "DigitalFont", sans-serif;
    font-size: 40px;
    color: #F59E0B;
    line-height: 100%;
}

.unit {
    color: #F3F4F6;
    font-family: "Inter", sans-serif;
    font-weight: 300;
    font-size: 14px;
}

.label{ 
    color: #F3F4F6;
    font-family: "Inter", sans-serif;
    font-weight: 300;
    font-size: 14px;
}


/* App Control */

#conversion-body {
    display: flex;
    height: 100%;
    justify-content: space-between;
}


#input-section{
    width: 100%;
    display: flex;
    flex-direction: column;
    height: 100%;
    gap: 16px;
}

#enter-value {
    padding: 15px 16px;
    border-radius: 8px;
    border: 1px solid #4B5563;
    background-color: #374151;
    color: #F3F4F6dd;
}

#enter-value::placeholder{
    color: #c6c6c6;
    font-size: 300;
    font-family: "Inter", sans-serif;
}

#metric-tabs {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

#button-tabs {
    position: relative;
    display: flex;
    background-color:#374151;
    border-radius: 12px;
    overflow: hidden;
}

.metric-control {
    position: relative;
    z-index: 1;

    flex: 1;
    margin: 0;
    border: none;
    width: 100%;
    padding: 15px 10px;
   
    background-color: transparent;
    color: #F3F4F6;

    cursor: pointer;
}


.metric-control.active {
    color: #1F2937;
}

.active-indicator {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;

    width: 33.3333%;

    background-color: #F3F4F6;
    border-radius: 12px;

    transition: transform 0.3s ease;
}




/* Button */

#convert {
    display: flex;
    padding: 18px 32px;
    background-color: #0284C7;
    border: none;
    color: #F3F4F6;
    text-transform: uppercase;
    width: 210px;
    justify-content: center;
    border-radius: 8px;
    margin-top: 24px ;
}


/* Typography */


img {
  width: 44px;
  height: 44px;
  object-fit: cover;
  object-position: center top;
  border: #9CA3AF 2px solid;
  border-radius: 999px;
}